#@ load("@ytt:data", "data")

#@ ns = data.values.application.namespace

---
apiVersion: v1
kind: Service
metadata:
  name: matrix-synapse-metrics
  namespace: #@ ns
  labels:
    matrix_metrics: enabled
spec:
  type: ClusterIP
  clusterIP: None
  selector:
    app.kubernetes.io/component: synapse
    app.kubernetes.io/instance: matrix-synapse
    app.kubernetes.io/name: matrix-synapse
  ports:
    - name: metrics
      port: 9090
      targetPort: metrics
      protocol: TCP
